SubClient

Updates the SubClient resource.

Updates the SubClient resource.

PATCH/api/spa/sub-clients/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

SubClient identifier

Request Body

application/ld+json
required

The updated SubClient resource

{
  "externalId": "string",
  "description": "Example description",
  "color": "#083E5D"
}
application/json
required

The updated SubClient resource

{
  "externalId": "string",
  "description": "Example description",
  "color": "#083E5D"
}

Response

200application/json

SubClient resource updated

id
integer
externalId
string | null
description
string
color
string

HTML color code to be used on Dashboard-charts and statistics.

Example: "#083E5D"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"